package com.xxxxxxx.drvpp.fw.common.log;


public class LoggerFactoryImpl implements LoggerFactory {
	private static class LoggerFactoryImplHolder {
		private static final LoggerFactoryImpl instance = new LoggerFactoryImpl();
	}
	public static LoggerFactory getInstance() {
		LoggerFactoryImplHolder.instance.init();
		return LoggerFactoryImplHolder.instance;
	}

	private LoggerFactoryImpl(){
		
	}
	
	private void init(){

	}

	public Logger getLogger(Class clazz){
		LoggerLog4jImpl log = new LoggerLog4jImpl();
		log.init(clazz);

		return log;
	}
}
